/*
	searchprogress.h - part of KDiskCat the KDE Disk Catalog.

	Copyright (c) 1998,1999 Balzs Ternyi <terenyi@freemail.c3.hu>

	KDiskCat is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
			
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
					
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef SEARCHPROGRESS_H
#define SEARCHPROGRESS_H

#include <qsemimodal.h>
#include <qpushbutton.h>
#include <kprogress.h>
#include <qlabel.h>

class SearchProgress : public QSemiModal
{
   Q_OBJECT
public: 
   SearchProgress(QWidget* parent = 0,const char* name = 0);
   ~SearchProgress();
   void setTotal(int total);
   void setValue(int val);
   void setCategory(QString cat);
   void setFound(QString text);
   QPushButton* pb_cancel;
protected slots:
	void slotCancel();
protected:
   KProgress* prg;
   QLabel* lb_current_catalog;
   QLabel* lb_found;
signals:
	void stopped();
};

#endif

















